Subject: Re: [PATCH v2 4/4] mtd: spi-nor: Add support for w25q256jw

From: Manivannan Sadhasivam <[email-masked]>
Date: Thu, 7 Nov 2019 18:10:23 +0530

On Thu, Nov 07, 2019 at 12:30:05PM +0000, [email-masked] wrote:
> 
> 
> On 11/01/2019 06:09 PM, Manivannan Sadhasivam wrote:
> >> On 11/01/2019 04:58 PM, Manivannan Sadhasivam wrote:
> >>>>> Add MTD support for w25q256jw SPI NOR chip from Winbond. This chip
> >>>>> supports dual/quad I/O mode with 512 blocks of memory organized in
> >>>>> 64KB sectors. In addition to this, there is also small 4KB sectors
> >>>>> available for flexibility. The device has been validated using Thor96
> >>>>> board.
> >>>>>
> >>>>> Cc: Marek Vasut <[email-masked]>
> >>>>> Cc: Tudor Ambarus <[email-masked]>
> >>>>> Cc: David Woodhouse <[email-masked]>
> >>>>> Cc: Brian Norris <[email-masked]>
> >>>>> Cc: Miquel Raynal <[email-masked]>
> >>>>> Cc: Richard Weinberger <[email-masked]>
> >>>>> Cc: Vignesh Raghavendra <[email-masked]>
> >>>>> Cc: [email-masked]
> >>>>> Signed-off-by: Darshak Patel <[email-masked]>
> >>>>> [Mani: cleaned up for upstream]
> >>>> Can we keep Darshak's authorship? We usually change the author if we feel that
> >>>> we made a significant change to what was originally published.
> >>>>
> >>>> If it's just about cosmetics, cleaning or rebase, you can specify what you did
> >>>> after the author's S-o-b tag and then add your S-o-b, as you did above.
> >>>>
> >>> I'd suggest to keep Darshak's authorship since he did the actual change in
> >>> the bsp. I have to clean it up before submitting upstream and I mentioned
> >>> the same above.
> >>>
> >> Ok, I'll amend the author when applying, it will be Darshak.
> >>
> > Ah no. I was saying we should keep both of ours authorship. It shouldn't
> > be an issue because we both are involved in the process.
> 
> There can be only one author in a patch, and multiple signers if needed:
> 
> Author: Manivannan Sadhasivam <[email-masked]>
> Date:   Wed Oct 30 14:31:24 2019 +0530
> 
>     mtd: spi-nor: Add support for w25q256jw
> [cut]
>     Signed-off-by: Darshak Patel <[email-masked]>
>     [Mani: cleaned up for upstream]
>     Signed-off-by: Manivannan Sadhasivam <[email-masked]>
> 
> Please read
> https://www.kernel.org/doc/html/v5.3/process/submitting-patches.html, paragraph
> 11), and tell me if you want me to amend the author to keep Darshak's authorship
> or you want to keep yours.

Just keep me as the author of this patch. Darshak still gets credit with his
signed-off-by tag.

Sorry for the confusion!

Thanks,
Mani

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel